/user/updateProfile

Prev Next
Post
/user/updateProfile

Updates the user's profile with the information saved in the attribute list. Attributes that are not mentioned are not changed.
Note: There is also a user replaceProfile method to

1) change the entire profile of a user and

2) to delete attribute values if the attribute is not mentioned for the user.

Request body example:

[
{"name" : "user.firstname", "value" : "John"},
{"name" : "user.lastname", "value" : "Smith"},
{"name": "user.ISOCountryCode", "value": "FR"}
]


Request body example - erase mobile number:
[
{"name" : "user.MobileNumber", "value" : null}
]


Maximum character lengths for standard attribute values:
  • FirstName: 50
  • LastName: 50
  • Nickname: 20
  • ZipCode: 10
  • Identifier: 2000
  • Photo: 2000
Other standard attributes (Email, MobileNumber, ISOCountryCode, ISOLanguageCode, TimeZone, Title, DateOfBirth) are validated by format/enum, not by length. Note that Email is stored in a column of length 129.

Custom attribute values are limited to 2000 characters.

Values exceeding these limits are rejected with HTTP 400 (INVALID_PARAMETER); during contact import, oversized values are silently truncated.
Query parameters
userId
integer (int64)

ID of the user

Body parameters
Array of object
object
name
string
value
string
Responses
204
400

Parameter 'userId' is mandatory but no value was specified. / The request didn't contain a request entity. / User with id does not exist.

404

Parameter 'userID' is mandatory, but missing or incorrect./ user with the given id does not exist.